# Generated by Django 3.2.4 on 2021-06-26 13:29

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('api', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='InstrumentType',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='Portfolio',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('figi', models.CharField(max_length=255)),
                ('ticker', models.CharField(max_length=255)),
                ('name', models.CharField(max_length=255)),
                ('currency', models.CharField(max_length=10)),
                ('balance', models.DecimalField(decimal_places=5, max_digits=15)),
                ('averange_position_price', models.DecimalField(decimal_places=5, max_digits=15)),
                ('expected_yeild', models.DecimalField(decimal_places=5, max_digits=15)),
                ('instrument_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.instrumenttype')),
            ],
        ),
    ]
